# Examples

- [8.SIMILAR](https://docs.8select.io/api/examples/8.similar.md): Fetch similar products for a given product identifier.
- [8.SET (simplified)](https://docs.8select.io/api/examples/8.set-simplified.md): Fetch cross selling products for a given product identifier. The response is already curated into readily usable product sets.
- [8.SET](https://docs.8select.io/api/examples/8.set.md): Fetch cross selling products for a given product identifier.
- [8.SET Custom](https://docs.8select.io/api/examples/8.set-custom.md): Fetch a custom set for a given product identifier or a specific custom set by id.
- [Product Page - All Content](https://docs.8select.io/api/examples/product-page-all-content.md): Fetch all available content for a given product identifier.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8select.io/api/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
